package com.ywt.mg.domain.models.enums;

/**
 * mg_admins表里面的add_type字段，用户手机号包含的角色类型，位运算，可拓展，1-药师，
 */
public enum MgAdminsTypeEnum {

    /**
     * 以下为枚举分类
     */
    Pharmacist("药师", 1),

    Default("", 0);

    private final String displayName;
    private int value = 0;

    MgAdminsTypeEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return this.value;
    }

    /**
     * 将 int 值转换为对应的 MgAdminsTypeEnum 枚举值
     * @param value
     * @return
     */
    public static MgAdminsTypeEnum valueOf(int value) {
        for (MgAdminsTypeEnum typeEnum : MgAdminsTypeEnum.values()) {
            if (typeEnum.getValue() == value) {
                return typeEnum;
            }
        }

        return null;
    }

}